<!doctype html>

<html>
  <head>
    <title>hook-calendar-data test</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>

    <link rel="import" href="../hook-calendar-data.html">
  </head>
  <body>

    <test-fixture id="basic">
      <template>
        <hook-calendar-data
          api-key="AIzaSyDna53acDVtQKtAwo-XlEoZgK7snNIHdCs"
          calendar-id="byhook.com_ut0ht8s888le8fia8nndo92js8@group.calendar.google.com"
          date-min="2017-01-10">
        </hook-calendar-data>
      </template>
    </test-fixture>

    <script>
      suite('hook-calendar-data', function() {

        var element = fixture('basic');

        test('instantiating the element works', function() {
          assert.equal(element.is, 'hook-calendar-data');
        });

        test('apiKey value', function() {
          assert.equal(element.apiKey, 'AIzaSyDna53acDVtQKtAwo-XlEoZgK7snNIHdCs');
        });

        test('calendarId value', function() {
          assert.equal(element.calendarId, 'byhook.com_ut0ht8s888le8fia8nndo92js8@group.calendar.google.com');
        });

        test('dateMin value', function() {
          assert.deepEqual(element.dateMin, new Date(element.dateMin));
        });

        test('empty events array', function() {
          assert.deepEqual(element.events, []);
        });

        test('initial loaded state', function() {
          assert.equal(element.loaded, false);
        });

      });
    </script>
  </body>
</html>
